package server

import "io"

//ReadAllLog is exported
func (server *Handler) ReadAllLog() []Log {
	return server.log
}

//ReadRangeLog is exported
func (server *Handler) ReadRangeLog(start int, end int) []Log {
	return server.log[start:end]
}

//LenLog is exported
func (server *Handler) LenLog() int {
	return len(server.log)
}

//SendCommand is exported
func (server *Handler) SendCommand(command string) bool {
	io.WriteString(server.stdin, command+"\n")
	return true
}
